﻿namespace DhcpServer
{
    public enum DhcpOption : byte
    {
        SubNetMask = 1, // 4b ip address
        Router = 3, // 4b ip address
        DnsServer = 6, // 4b ip address
        HostName = 12, // var ascii
        BroadcastAddress = 28, // 4b ip address
        DhcpMessageType = 53,  // 1b enum
        RequestedIpAddress = 50, // 4b ip address
        LeaseTime = 51, // 4b seconds BE
        ParameterRequestList = 55, // var byte array
        ServerIdentifier = 54, // 4b ip address
        RenewalTime = 58, // 4b seconds BE
        RebindingTime = 59, // 4b seconds BE
        DhcpServerIdentifier = 54, // 4b ip address
        Vendor = 60, // var ascii
        ClientIdentifier = 61, // var MAC
        TftpServer = 66, // 4b ip address
        UserClass = 77, // var ascii
        ClientArchitecture = 93, // RFC 4578
        End = 255,
    }
}